Update Experiment
curl --request PUT \
--url 'https://api.example.com/experiments/{experiment_id}?HAIQU_API_KEY=' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.example.com/experiments/{experiment_id}?HAIQU_API_KEY="
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.example.com/experiments/{experiment_id}?HAIQU_API_KEY=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"creation_date": "2023-11-07T05:31:56Z",
"user_id": 123,
"user": {
"email": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"api_access_key": "<string>"
},
"tags": "",
"circuits_count": 0,
"jobs_count": 0,
"last_action_date": "2023-11-07T05:31:56Z",
"metrics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Update Experiment
Update an existing experiment endpoint.
Args: experiment_id (str): ID of the experiment. user (User): User authenticated with api key. data (ExperimentUpdateModel): Fields to update.
Returns: ExperimentModel: Experiment object.
PUT
/
experiments
/
{experiment_id}
Update Experiment
Authorizations
APIKeyQueryAPIKeyHeader
Path Parameters
Body
application/json
Response
Successful Response
Experiment model.
Haiqu experiment is a parent/organizer entity for circuits and jobs.
User model.
MVP: Haiqu user is created by Haiqu team, auth with username/password. V2: Haiqu API user is OAuth authenticated user from IBM, Google, etc.
Show child attributes
Show child attributes